Subject: Re: bug#16878: 24.3.50; gif animation continues even after killing buffer

From: Ivan Kanis <[email-masked]>
Date: Tue, 25 Feb 2014 17:56:21 +0100

February, 25 at 18:37 Eli wrote:

> Btw, do you see the "C-x-" prompt in the echo area if you wait for a
> second or so before pressing 'k'?  If not, I think Emacs simply didn't
> yet see your keypress, and is still inside Imagemagick processing the
> image.  In that case, this is expected, since Emacs is not
> multi-threaded (yet).

No I don't see the "C-x" prompt. When the kill-buffer completes
successfully and I am back to the *scratch* buffer emacs is using 100%
CPU. I expect the image processing to stop once the eww buffer is
killed. I will send the full bactrace next.
-- 
Victory is won not in miles but in inches. Win a little now, hold your
ground, and later, win a little more.
    -- Louis L'Amour                                             

I am listening to "Lisa Gerrard - The Song Of Amergin".